﻿@model IEnumerable<crm.Domain.Entity.Promotion>

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_AdminLayout.cshtml";
}

<h2>Liste Des Promotions</h2>

<p>
    @Html.ActionLink("Ajouter Une Promotion", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.produit.nomProd)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.NomPromo)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Description)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.PromoImage)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.PrDateDebut)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.PrDateFin)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.PromoPrix)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.produit.nomProd)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.NomPromo)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Description)
        </td>
        <td>
            @{string path = "~/Content/Upload/" + @item.PromoImage;}
            
            <img src="@Url.Content(path)" width="160" height="135" />
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.PrDateDebut)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.PrDateFin)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.PromoPrix)
        </td>
        <td>
            @Html.ActionLink("Edit", "Edit", new { id=item.PromoId }) |
            @Html.ActionLink("Details", "Details", new { id=item.PromoId }) |
            @Html.ActionLink("Delete", "Delete", new { id=item.PromoId })
        </td>
    </tr>
}

</table>
